Subject: Re: [PATCH v2 01/13] hook: add 'run' subcommand

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 20 Oct 2021 01:08:14 +0200

On Fri, Oct 15 2021, Emily Shaffer wrote:

> On Tue, Oct 12, 2021 at 03:30:26PM +0200, Ævar Arnfjörð Bjarmason wrote:
>> 
>> 
>> In order to enable hooks to be run as an external process, by a
>> standalone Git command, or by tools which wrap Git, provide an external
>> means to run all configured hook commands for a given hook event.
>> 
>> Most of our hooks require more complex functionality than this, but
>> let's start with the bare minimum required to support our simplest
>> hooks.
>> 
>> In terms of implementation the usage_with_options() and "goto usage"
>> pattern here mirrors that of
>> builtin/{commit-graph,multi-pack-index}.c.
>> 
>> Signed-off-by: Emily Shaffer <[email-masked]>
>> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
>> ---
>> diff --git a/Documentation/git-hook.txt b/Documentation/git-hook.txt
>> new file mode 100644
>> index 00000000000..660d6a992a0
>> --- /dev/null
>> +++ b/Documentation/git-hook.txt
>> @@ -0,0 +1,38 @@
>> +git-hook(1)
>> +===========
>> +
>> +NAME
>> +----
>> +git-hook - run git hooks
>> +
>> +SYNOPSIS
>> +--------
>> +[verse]
>> +'git hook' run <hook-name> [-- <hook-args>]
>> +
>> +DESCRIPTION
>> +-----------
>> +
>> +This command is an interface to git hooks (see linkgit:githooks[5]).
>> +Currently it only provides a convenience wrapper for running hooks for
>> +use by git itself. In the future it might gain other functionality.
>
> s/git/Git/g nit, no? I thought we were somewhat picky about capitalizing Git
> when we don't mean `git`?

I'm not sure how this got mixed up, but the text you've got quoted here
is from the v1 at:
https://lore.kernel.org/git/[email-masked]/

But you're replying to the v2 here, i.e. this, which has no such text:
https://lore.kernel.org/git/[email-masked]/

I see I managed to omit the In-Reply-To link from v2 to v1 by mistake,
maybe some funny mailer interaction with that?

Anyway for all the rest of the comments below & in this thread I tried
to address them in some way, re-rolling soon...